Index: kernel/utility/unit_config_reader.php
===================================================================
--- kernel/utility/unit_config_reader.php	(revision 14573)
+++ kernel/utility/unit_config_reader.php	(working copy)
@@ -17,7 +17,7 @@
 class kUnitConfigReader extends kBase implements kiCacheable {
 
 	/**
-	 * Configs readed
+	 * Configs reader
 	 *
 	 * @var Array
 	 * @access private
@@ -124,7 +124,7 @@
 		$this->ParseConfigs();
 
 		// tell AfterConfigRead to store cache if needed
-		// can't store it here beacuse AfterConfigRead needs ability to change config data
+		// can't store it here because AfterConfigRead needs ability to change config data
 		$this->StoreCache = $cache;
 
 		if (!$this->Application->InitDone) {
@@ -193,18 +193,20 @@
 			}
 		}
 		else {
-			if ( $this->Application->isCachingType(CACHING_TYPE_MEMORY) ) {
-				$this->Application->rebuildCache('master:config_files', kCache::REBUILD_NOW, CacheSettings::$unitCacheRebuildTime);
+			if ( $cache ) {
+				if ( $this->Application->isCachingType(CACHING_TYPE_MEMORY) ) {
+					$this->Application->rebuildCache('master:config_files', kCache::REBUILD_NOW, CacheSettings::$unitCacheRebuildTime);
+				}
+				else {
+					$this->Application->rebuildDBCache('config_files', kCache::REBUILD_NOW, CacheSettings::$unitCacheRebuildTime);
+				}
 			}
-			else {
-				$this->Application->rebuildDBCache('config_files', kCache::REBUILD_NOW, CacheSettings::$unitCacheRebuildTime);
-			}
 
 			$this->findConfigFiles(FULL_PATH . DIRECTORY_SEPARATOR . 'core'); // search from core directory
 			$this->findConfigFiles($folderPath); // search from modules directory
 
-			if ($cache) {
-				if ($this->Application->isCachingType(CACHING_TYPE_MEMORY)) {
+			if ( $cache ) {
+				if ( $this->Application->isCachingType(CACHING_TYPE_MEMORY) ) {
 					$this->Application->setCache('master:config_files', serialize($this->configFiles));
 				}
 				else {
@@ -268,7 +270,7 @@
 		}
 
 		if ( !isset($store_cache) ) {
-			// store cache not overrided -> use global setting
+			// $store_cache not overridden -> use global setting
 			$store_cache = $this->StoreCache;
 		}
 
